Subject: Re: [PATCH] grep: Don't pass a TODO test if REG_STARTEND is supported

From: René Scharfe <[email-masked]>
Date: Thu, 08 Jul 2010 23:58:35 +0200

Am 08.07.2010 22:09, schrieb Ævar Arnfjörð Bjarmason:
> On Thu, Jul 8, 2010 at 19:40, Junio C Hamano <[email-masked]> wrote:
>> Ævar Arnfjörð Bjarmason  <[email-masked]> writes:
>>
>>> +if git grep ile a
>>> +then
>>> +     test_expect_success 'git grep ile a' 'git grep ile a'
>>> +else
>>> +     test_expect_failure 'git grep ile a' 'git grep ile a'
>>> +fi
>>
>> So if command "X" is known to succeed, we run it inside expect_success
>> and if not we run it inside expect_failure?
>>
>> What kind of idiocy is that, I have to wonder...
> 
> Well, the point is to normalize the test suite so that we never have
> passing TODO tests if everything's OK.

In this particular case the tested functionality is not provided accross
all platforms supported by git.  It would be better to fix the actual
issue, namely that the fallback regex lib we provide doesn't support
REG_STARTEND.

René